.product-archive-page{
    margin-top: 5rem;
}
.product-archive-holder{
     @include flex($content:space-between,$align:flex-start)
}
.product-archive-sidebar-holder{
    width: 300px;
    @include flex($direction:column)
}
.product-archive-sidebar{
    @include flex($direction:column,$content:flex-start);
    background: map-get($gray-colors, "white" );
    border-radius:  map-get($border-radius, "md" ) ;
    padding:0 0.7rem ;
    margin-bottom: 2rem;
    height: 50px;
    overflow: hidden;
    &.price-sidebar{
        .product-as-title {
            width: calc( 100% - 1.4rem )!important;
             
         }
    }
}
 
.product-as-title{
    border-bottom: 1px solid map-get($gray-colors, "gray-300" ) ;
    position: relative;
    padding-top: 13px!important;
    cursor: pointer;
    &::before{
        content: '\f077';
        @include position($type:absolute,$top:28%,$left:15px) ;
        height: 35px ;
        font-family: fontawesome;
        @include typography($size:15px,$weight:bold) ;
        @include opacity(0.7);
        @include css3-prefix(transition,all 0.8s);

    }    
}
.product-archive-sidebar.open  .product-as-title::before{
    content: '\f078'
}
.product-as-category{
    @include flex($direction:column);

    li {
        width:100%;
        @include flex($justflex:"true",$direction:column);
        a{
            @include typography($size:14px,$lineheight:35px) ;
            position: relative;
             
            &::before{
                content: '\f053';
                @include position($type:absolute,$top:1px,$right:-14px) ;
                width: 20px ;
                height: 35px ;
                font-family: fontawesome;
                @include typography($size:12px,$weight:bold) ;
                @include opacity(0.5);
            }
        }
        &.open a::before {
            @include css3-prefix(transform,rotate(-90deg));
            top: 8px;
            right: -24px;
        }
        &.target a{
            color: map-get($colors, "red-light" )
        }
        &.target a::before{
            display: none 
        }
        .sub-cat{
            padding-right: 20px;
        }
    }
}


.product-as-brand-item{
    padding-right: 20px;
    @include flex($content:space-between);
    @include css3-prefix(transition,all 0.4s);
    cursor: pointer;
    position:relative;
    margin-bottom: 1.4rem;
    span{
        @include typography($size:14px)
    }
    &::before{
        content: '';
        @include position($type:absolute,$top:1px,$right:-14px) ;
        width: 20px ;
        height: 20px ;
        @include opacity(0.5);
        border: 1px solid map-get($gray-colors, "gray-500" ) ;
        border-radius: map-get($border-radius, "sm" )
    }
    &:hover::after{
        content: '';
        @include position($type:absolute,$top:1px,$right:-24px) ;
        width: 3px ;
        height: 20px ;
        background: map-get($gray-colors, "gray-500" ) ;
    }
    &:last-child{
        margin-bottom: 0;
    }
    &.active{
        &::before{
            background: map-get($colors, "blue" ) ;
            border: 1px solid  map-get($colors, "blue" );
            @include opacity(1);
        }
    }
}


.product-as-stock {
    @include flex($content:flex-start);
    margin-top: 12px;
    span#statusswitcher{
        position: relative;
        width: 60px;
        height: 27px;
        border-radius: 30px;
        background-color: map-get($gray-colors, "gray-200" );
        border:1px solid map-get($gray-colors, "gray-500" ) ;
        margin-left: 1rem;
        @include css3-prefix(transition,all 0.4s);
        cursor: pointer;
        &::before{
            content: '';
            @include position($type:absolute,$top:2px,$right:2px) ;
            width: 21px ;
            height: 21px ;
            background-color: map-get($gray-colors, "white" );
            border: 1px solid map-get($gray-colors, "gray-500" ) ;
            border-radius: 100%;
            @include css3-prefix(transition,all 0.4s);
        }
        &.active{
            background-color: map-get($colors, "blue" );
        }
        &.active::before{
            right: calc(100% - 23px) ;
        }
    }
    span#title{
        @include typography($size:14px,$weight:bold) 
    }
}



/**** Custom styles for noUiSlider ****/
.noUi-connect {
	background: purple;
}
.noUi-horizontal .noUi-handle, .noUi-vertical .noUi-handle {
    background: #3c6382;
    cursor: pointer;
    border-radius: 100%;
    width: 26px;
    height: 26px;
    padding: 0px ;
    top: -12px ;
    box-shadow: none ;
    border: none ;

}
.noUi-horizontal .noUi-handle:hover, .noUi-vertical .noUi-handle:hover{
    background: #0a3d62
}
.noUi-horizontal .noUi-handle:focus, .noUi-vertical .noUi-handle:focus{
    outline: none!important
}
.noUi-horizontal .noUi-handle:after, .noUi-vertical .noUi-handle:before,.noUi-horizontal .noUi-handle:before, .noUi-vertical .noUi-handle:after{
    background: none ;
}
.noUi-target.noUi-horizontal .noUi-tooltip {
	background-color: purple;
}

/**** Custom styles for Range ****/
input[type=range]::-webkit-slider-thumb {
  background-color: skyblue;
}
input[type=range]::-moz-range-thumb {
  background-color: skyblue;
}
input[type=range]::-ms-thumb {
  background-color: skyblue;
}
/* For the globe and the text inside */
input[type=range] + .thumb {
  background-color: blue;
}
input[type=range] + .thumb.active .value {
  color: #fff;
}
#price-filter,#res-price-filter{
    width: calc( 100% - 2rem );
    margin: 20px 1rem 30px 1rem;
    height: 1px;
    background-color: map-get($colors, "red-light" );
    border: none;
    box-shadow: none;
    padding: 0px 1rem
}
.noUi-handle-lower{
    background-color: map-get($gray-colors, "white" )!important;
    box-shadow:  map-get($shadow, "small" )!important;
    
                &::before{
                content: '\f053';
                @include position($type:absolute,$top:5px,$right:-14px) ;
                width: 26px ;
                height: 26px ;
                font-family: fontawesome;
                @include typography($size:12px,$weight:bold) ;
                @include opacity(0.5);
            }
}
.noUi-handle-upper{
    background-color: map-get($gray-colors, "white" )!important;
    box-shadow:  map-get($shadow, "small" )!important;
    right: 0!important;
                &::before{
                content: '\f054';
                @include position($type:absolute,$top:5px,$right:-14px) ;
                width: 26px ;
                height: 26px ;
                font-family: fontawesome;
                @include typography($size:12px,$weight:bold) ;
                @include opacity(0.5);
            }
}
.noUi-handle-upper.noUi-handle:before,.noUi-handle-upper.noUi-handle:after{
    left: -8px!important
}
.noUi-handle-lower.noUi-handle:before,.noUi-handle-lower.noUi-handle:after{
    left: -11px!important
}

#price-view-min-max{
    display: inline-block ;
    width: 46% ;
    @include typography($align:center) ;
}
#price-view-min-max span{
    width: 100%;
    float: right ;
    height: 30px ;
    line-height: 30px;
}
#price-view-min-max div{
    display: inline-block ;
    font-size: 18px;
    padding: 0px 12px;
    height: 30px;
    line-height: 30px;
    background: #ecf0f1 ;
    color: #7f8c8d
}
.product-selected-price{
    @include flex();
    padding: 0.5rem 0;
    border-top: 1px solid map-get($gray-colors, "gray-300" );
    border-bottom: 1px solid map-get($gray-colors, "gray-300" )
}
.product-price-execute{
    @include flex($justflex:"true");
    .product-price-execute-btn{
        background-color: map-get($colors, "red-light");
        padding: 0px 1rem 0 0 ;
        @include typography($lineheight:45px,$align:center);
        color:  map-get($gray-colors, "white");
        flex: 0 0 100%;
        border-radius: map-get($border-radius, "md" )
    }
}


.product-as-color-item{
    padding-right: 20px;
    @include flex($content:space-between);
    @include css3-prefix(transition,all 0.4s);
    cursor: pointer;
    position:relative;
    margin-bottom: 1.4rem;
    span{
        @include typography($size:14px)
    }
    &::before{
        content: '';
        @include position($type:absolute,$top:1px,$right:-14px) ;
        width: 20px ;
        height: 20px ;
        @include opacity(0.5);
        border: 1px solid map-get($gray-colors, "gray-500" ) ;
        border-radius: map-get($border-radius, "sm" )
    }
    &:hover::after{
        content: '';
        @include position($type:absolute,$top:1px,$right:-24px) ;
        width: 3px ;
        height: 20px ;
        background: map-get($gray-colors, "gray-500" ) ;
    }
    &:last-child{
        margin-bottom: 0;
    }
    &.active{
        &::before{
            background: map-get($colors, "blue" ) ;
            border: 1px solid  map-get($colors, "blue" );
            @include opacity(1);
        }
    }
    #the-color{
        width: 12px;
        height: 12px;
        border-radius: 100%;
    }
}



.product-archive-items{
    width: calc( 100% - 300px - 2rem);
    @include flex($content:space-between);
     flex-flow: row;flex-wrap: wrap;
    .product-archive-items-filter{
        @include flex($justflex:"true");
        flex: 0 0 100%;
        background-color: map-get($gray-colors, "white" );
        padding: 0.9rem 1.3rem ;
        border-radius: map-get($border-radius, "md" );
        margin-bottom: 1.5rem;
        .title{
            @include flex();
            position: relative;
            padding-right: 2rem;
            margin-left: 1rem;
            &::before{
                content: '\f0ec';
                @include position($type:absolute,$top:4px,$right:0px) ;
                font-family: fontawesome;
                @include css3-prefix(transform,rotate(90deg))
            }            
        }
        span{
            
            padding: 0 0.5rem ;
            line-height: 28px;
            border-radius: map-get($border-radius, "md" ) ;
            margin-left: 1rem;
            
            @include typography($size:14px);
            cursor: pointer;
            &.active{
                 background-color: map-get($colors, "red-light" );
                color: map-get($gray-colors, "white" );
            }
        }
    }
    .product-archive-item{
        flex: 0 0 31%;
        background-color: map-get($gray-colors, "white" );
        padding: 1.5rem ;
        margin-bottom:1.5rem ;
        height: 340px;
        a{
            @include flex($direction:column,$align:initial);
            flex-flow: row;flex-wrap: wrap;
        }
        .img-holder{
            padding: 1.5rem;
            height: 200px;
            margin-bottom: 20px;
            @include flex();
            flex:0 0 100%;
            img{
                max-width: 100%;
                max-height: 85%
            }
        }
        .content{
            @include flex($direction:column ,);
            flex: 1 ;
        }
        .title{
            @include typography($size:14px);
            height: 50px;
            overflow: hidden;
            margin-bottom: 10px;
            flex:0 0 100%;
            align-self: flex-start
        }
        #price{
            @include typography($size:16px,$weight:bold,$align:left);
            align-self: flex-end ;
            margin-top: 1rem;
        }
    }
}



.res-filter-sidebar{
    display: none;
    border-bottom:1px solid map-get($gray-colors, "gray-300" ) ;
    padding: 1rem
}

#open-filter-sidebar {
    padding: 0 0.5rem;
    border-radius: map-get($border-radius, "md" );
    background-color: #ddd;
    color: map-get($gray-colors, "black" ) ;
    @include typography($size:14px);
    line-height: 40px;
    cursor: pointer;
}
.res-filter-sidebar-holder{
    @include position($type:fixed,$top:0px,$right:0) ;
    width: 100%;
    height: 100vh ;
    z-index: 1002;
    display: none;
    background-color: map-get($gray-colors, "gray-200" ) ;
}
.res-filter-sidebar-holder.open{
    @include flex($content:flex-start,$align:stretch,$direction:column) ;
}
.res-filter-sidebar-header{
    background-color: map-get($gray-colors, "gray-300" ) ;
    padding: 1rem ;
    border-bottom:1px solid map-get($gray-colors, "gray-600" ) ;
    margin-bottom: 1.5rem;
}
.res-filter-items{
    flex: 1 ;
    padding: 0px 1rem ;
    overflow: scroll    
}
.res-filter-items .product-archive-sidebar{
    background-color: map-get($gray-colors, "white" ) ;
    border-radius: map-get($border-radius, "md" ) ;
    border:1px solid map-get($gray-colors, "gray-600" ) ;
    margin-bottom: 1rem;
}
.res-execute-filter{
   background-color: map-get($colors, "blue-light" ) ;
   color: map-get($gray-colors, "white" ) ;
   padding: 0px 10px;
    @include typography($size:17px,$lineheight:60px,$align:center)
}
.res-filter-direction{border: 1px solid map-get($gray-colors, "gray-300" ) ;
    @include flex($content:space-between) ;
    margin-right: 10px;
    border-radius: map-get($border-radius, "md" ) 
}
.res-filter-direction span{
    background-color: map-get($gray-colors, "gray-200" ) ;
    padding:0 10px;
    line-height: 45px;
    @include flex() ;
    height: 40px;
    border-top-right-radius:map-get($border-radius, "md" ) ;
    border-bottom-right-radius:map-get($border-radius, "md" ) ;
    margin-left: 10px;
}
.res-filter-direction span i{
    @include css3-prefix(transform,rotate(90deg))
}
.res-filter-direction select{
    border: none ;
    outline: none ;
    background: transparent;
    padding: 0px 10px
}


.pagination{
    @include flex();
    flex: 0 0 100%;
    background-color: map-get($gray-colors, "white" );
    padding: 0.9rem 1.3rem ;
    border-radius: map-get($border-radius, "md" );
    margin-top: 1.5rem;  
    ul{
         @include flex($justflex:"true");
         li{
             @include flex();
             width: 20px;
             height: 20px;
             border-radius: 100%;
            margin: 0px 5px ;
            cursor: pointer;
            @include typography($size:15px,$align:center);
            &.active{
                 background: map-get($colors, "red-light" ) ;
                 color:  map-get($gray-colors, "white" ) ;
                  
            }
            i{
                @include typography($size:15px);  
            }
         }
    }
}